Package de.willuhn.jameica.hbci.io

# Class AbstractBanking4UmsatzTypIO

java.lang.Object
de.willuhn.jameica.hbci.io.AbstractBanking4UmsatzTypIO

All Implemented Interfaces:
  `IO`

Direct Known Subclasses:
  `Banking4UmsatzTypExporter`, `Banking4UmsatzTypImporter`

public abstract class AbstractBanking4UmsatzTypIO extends Object implements IO
Abstrakte Basisklasse für Importer und Exporter fuer Umsatzkategorien im Banking4-Format.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final de.willuhn.util.I18N`
`i18n`
`protected static final String`
`SEP`
`protected static final de.willuhn.jameica.system.Settings`
`settings`

## Constructor Summary

Constructors
Constructor
Description
`AbstractBanking4UmsatzTypIO()`

## Method Summary

Modifier and Type
Method
Description
`IOFormat[]`
`getIOFormats(Class objectType)`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.
`String`
`getName()`
Liefert einen sprechenden Namen des Exporters/Importers.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### settings

protected static final de.willuhn.jameica.system.Settings settings

### i18n

protected static final de.willuhn.util.I18N i18n

### SEP

protected static final String SEP

See Also:
  - Constant Field Values

## Constructor Details

### AbstractBanking4UmsatzTypIO

public AbstractBanking4UmsatzTypIO()

## Method Details

### getName

public String getName()
Description copied from interface: `IO`
Liefert einen sprechenden Namen des Exporters/Importers. Z.Bsp. "Swift MT-940 Format".

Specified by:
  `getName` in interface `IO`
Returns:
  Name
See Also:
  - `IO.getName()`

### getIOFormats

public IOFormat[] getIOFormats(Class objectType)
Description copied from interface: `IO`
Liefert eine Liste der von diesem unterstuetzten Datei-Formate.

Specified by:
  `getIOFormats` in interface `IO`
Parameters:
  `objectType` - Art der zu exportierenden/importierenden Objekte. Z.Bsb.: Umsatz.class oder SammellastBuchung.class. Abhaengig davon kann der Exporter/Importer eine unterschiedliche Liste von Dateiformaten liefern, die er zu dieser Objektart unterstuetzt.
Returns:
  Liste der Export-Formate.
See Also:
  - `IO.getIOFormats(java.lang.Class)`